### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions | Protected Attributes
ConvertibleBond Class Reference

base class for convertible bonds More...

`#include <ql/experimental/convertiblebonds/convertiblebond.hpp>`

Inheritance diagram for ConvertibleBond:
[legend]

List of all members.

## Public Member Functions

Real | conversionRatio () const
const DividendSchedule & | dividends () const
const CallabilitySchedule & | callability () const
const Handle< Quote > & | creditSpread () const

## Protected Member Functions

| ConvertibleBond (const boost::shared_ptr< Exercise > &exercise, Real conversionRatio, const DividendSchedule &dividends, const CallabilitySchedule &callability, const Handle< Quote > &creditSpread, const Date &issueDate, Natural settlementDays, const Schedule &schedule, Real redemption)
void | performCalculations () const

## Protected Attributes

Real | conversionRatio_
CallabilitySchedule | callability_
DividendSchedule | dividends_
Handle< Quote > | creditSpread_
boost::shared_ptr< option > | option_

## Detailed Description

base class for convertible bonds

## Member Function Documentation

void performCalculations | ( |  | ) | const`[protected, virtual]`

In case a pricing engine is not used, this method must be overridden to perform the actual calculations and set any needed results. In case a pricing engine is used, the default implementation can be used.

Reimplemented from Instrument.